Package com.ngrok.definitions

# Class EndpointTlsTermination.Builder

java.lang.Object
com.ngrok.definitions.EndpointTlsTermination.Builder

Enclosing class:
  EndpointTlsTermination

public static class EndpointTlsTermination.Builder extends Object
Builder class for `EndpointTlsTermination`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EndpointTlsTermination`
  `build()`
  Constructs the `EndpointTlsTermination` instance.
  `EndpointTlsTermination.Builder`
  `enabled(boolean enabled)`
  `true` if the module will be applied to traffic, `false` to disable.
  `EndpointTlsTermination.Builder`
  `enabled(Optional<Boolean> enabled)`
  `true` if the module will be applied to traffic, `false` to disable.
  `EndpointTlsTermination.Builder`
  `minVersion(String minVersion)`
  The minimum TLS version used for termination and advertised to the client during the TLS handshake.
  `EndpointTlsTermination.Builder`
  `minVersion(Optional<String> minVersion)`
  The minimum TLS version used for termination and advertised to the client during the TLS handshake.
  `EndpointTlsTermination.Builder`
  `terminateAt(String terminateAt)`
  `edge` if the ngrok edge should terminate TLS traffic, `upstream` if TLS traffic should be passed through to the upstream ngrok agent / application server for termination.
  `EndpointTlsTermination.Builder`
  `terminateAt(Optional<String> terminateAt)`
  `edge` if the ngrok edge should terminate TLS traffic, `upstream` if TLS traffic should be passed through to the upstream ngrok agent / application server for termination.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### enabled

    public EndpointTlsTermination.Builder enabled(boolean enabled)
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Parameters:
      `enabled` - the value of the `enabled` parameter as a `boolean`
    Returns:
      this builder instance

  - ### enabled

    public EndpointTlsTermination.Builder enabled(Optional<Boolean> enabled)
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Parameters:
      `enabled` - the value of the `enabled` parameter as a `boolean`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### terminateAt

    public EndpointTlsTermination.Builder terminateAt(String terminateAt)
    `edge` if the ngrok edge should terminate TLS traffic, `upstream` if TLS traffic should be passed through to the upstream ngrok agent / application server for termination. if `upstream` is chosen, most other modules will be disallowed because they rely on the ngrok edge being able to access the underlying traffic.
    Parameters:
      `terminateAt` - the value of the `terminate_at` parameter as a `String`
    Returns:
      this builder instance

  - ### terminateAt

    public EndpointTlsTermination.Builder terminateAt(Optional<String> terminateAt)
    `edge` if the ngrok edge should terminate TLS traffic, `upstream` if TLS traffic should be passed through to the upstream ngrok agent / application server for termination. if `upstream` is chosen, most other modules will be disallowed because they rely on the ngrok edge being able to access the underlying traffic.
    Parameters:
      `terminateAt` - the value of the `terminate_at` parameter as a `String`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### minVersion

    public EndpointTlsTermination.Builder minVersion(String minVersion)
    The minimum TLS version used for termination and advertised to the client during the TLS handshake. if unspecified, ngrok will choose an industry-safe default. This value must be null if `terminate_at` is set to `upstream`.
    Parameters:
      `minVersion` - the value of the `min_version` parameter as a `String`
    Returns:
      this builder instance

  - ### minVersion

    public EndpointTlsTermination.Builder minVersion(Optional<String> minVersion)
    The minimum TLS version used for termination and advertised to the client during the TLS handshake. if unspecified, ngrok will choose an industry-safe default. This value must be null if `terminate_at` is set to `upstream`.
    Parameters:
      `minVersion` - the value of the `min_version` parameter as a `String`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### build

    public EndpointTlsTermination build()
    Constructs the `EndpointTlsTermination` instance.
    Returns:
      a new `EndpointTlsTermination`